USE LF_ANAMAG
JOIN LF_MAG TO LF_ANAMAG INTO CODART==CODART ANNOES=="1996"
JOIN MAG TO LF_MAG INTO CODTAB==CODMAG
JOIN MAG TO LF_MAG ALIAS 500 INTO CODTAB==CODMAG[1,3]
SORT LF_RMOVMAG BY LF_MOVMAG->DATAREG NUMREG NRIG
		USING LF_MOVMAG INTO NUMREG==NUMREG 
	JOIN TO LF_MAG KEY 2 INTO CODART==CODART CODMAG==CODMAG LIVGIAC==LIVELLO 
JOIN LF_MOVMAG TO LF_RMOVMAG INTO NUMREG==NUMREG
JOIN LF_UMART TO LF_ANAMAG  INTO CODART==CODART 
JOIN LF_UMART TO LF_UMART KEY 2 ALIAS 349 INTO CODART==CODART UM==UM
END
	
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    110->* "Movimenti di magazzino"
    111->* "Righe Movimenti di magazzino"
    49->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 0
    FONT "Courier New"
    SIZE 12
    CARATTERE "X"
    INIZIALE 5 2
    FINALE 133
END

SECTION HEADER ODD 12
	STRINGA 100 20 1
	BEGIN
	 PROMPT 1 10 "----------------------------------------------------"
	END
	STRINGA 102 20 1
	BEGIN
	 PROMPT 1 1 "----------------------------------------------------"
	END
END

SECTION BODY ODD 2
	STRINGA 69 20 1
	BEGIN
	 KEY "CODICE GRUPPO"
	 PROMPT 2 1 "Raggruppamento "
	 FIELD CODART[1,3]
	END


	SECTION INFO_ARTICOLO 1 50 1 GROUP 
		STRINGA 10 20 1
		BEGIN
		 KEY "CODICE articolo"
		 PROMPT 1 1 ""
		 MESSAGE _USER,CODGRUPPOART
		END
		
		STRINGA 11 50 1
		BEGIN
		 KEY "DESCR.articolo"
		 PROMPT 1 2 ""
		 MESSAGE _USER,GRUPPOART
		END
	END //info articolo
	
	SECTION INFO_LIVGIAC 1 1 1 GROUP
		STRINGA 20 20 1
		BEGIN
		 KEY "CODICE articolo"
		 PROMPT 1 1 ""
		 MESSAGE _USER,CODGRUPPOART|RESET,FF_STAMPASALDOPREC
		END
		STRINGA 21 50 1
		BEGIN
			KEY "Livello giac" 
			PROMPT 5 1 "Livello "
			FIELD 109->livello
			MESSAGE RESET,99
		END
	END // INFO livgiac

	SECTION INFO_MAG 1 1 1 GROUP
	END // INFO magazzino

	SECTION SCHEDA 1 1 1 FILE LF_MAG GROUP CODART

		SECTION MOVIMENTI 1 1 1 FILE LF_RMOVMAG 

			SECTION MOVIMENTO 1 1 1 FILE LF_RMOVMAG GROUP NUMREG

				SECTION RIGA_PREC 1 1 1 STREXPR LF_MOVMAG->DATAREG<"19960203"
					NUMBER 100 12
					BEGIN
						PROMPT 1 1 ""
						MESSAGE _USER,SALDO|ADD,FF_SALDOPREC_MOV|RESET,FF_STAMPASALDOPREC
					END
				END // riga di data preceDente

				SECTION RIGA_COMP 1 1 1 STREXPR LF_MOVMAG->DATAREG>="19960203"
					NUMBER 100 12
					BEGIN
						PROMPT 1 1 ""
						MESSAGE _USER,SALDO|ADD,FF_SALDO_MOV|"1",FF_STAMPASALDOPREC
					END
				END // riga di data compresa

			END // loop movimento

			SECTION SALDO_PREC 1 1 1 NUMEXPR #FF_STAMPASALDOPREC=1
				NUMBER FF_SALDOPRECSCHEDA 12
				BEGIN
					PROMPT 1 1 ""
					MESSAGE INC,FF_STAMPASALDOPREC
				END
			END // saldo prec

		END // loop movimenti

	END // loop schede

END // *****

SECTION FOOTER ODD 2
	STRINGA 100
	BEGIN
		KEY "NUMP"
		PROMPT 50 1 "-----"
	END

	NUMERO 101
	BEGIN
		KEY "NUMPAGE"
		PROMPT 50 2 ""
		MESSAGE _PAGENO
		PICTURE "-###-"
	END

END

